# Class TGetDelegationTokenResp

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.TGetDelegationTokenResp

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TGetDelegationTokenResp>`, `org.apache.thrift.TBase<TGetDelegationTokenResp,TGetDelegationTokenResp._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TGetDelegationTokenResp extends Object implements org.apache.thrift.TBase<TGetDelegationTokenResp,TGetDelegationTokenResp._Fields>, Serializable, Cloneable, Comparable<TGetDelegationTokenResp>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TGetDelegationTokenResp._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`delegationToken`
`static final Map<TGetDelegationTokenResp._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`
`TStatus`
`status`

## Constructor Summary

Constructors
Constructor
Description
`TGetDelegationTokenResp()`
`TGetDelegationTokenResp(TGetDelegationTokenResp other)`
Performs a deep copy on other.
`TGetDelegationTokenResp(TStatus status)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`int`
`compareTo(TGetDelegationTokenResp other)`
`TGetDelegationTokenResp`
`deepCopy()`
`boolean`
`equals(TGetDelegationTokenResp that)`
`boolean`
`equals(Object that)`
`TGetDelegationTokenResp._Fields`
`fieldForId(int fieldId)`
`String`
`getDelegationToken()`
`Object`
`getFieldValue(TGetDelegationTokenResp._Fields field)`
`TStatus`
`getStatus()`
`int`
`hashCode()`
`boolean`
`isSet(TGetDelegationTokenResp._Fields field)`
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean`
`isSetDelegationToken()`
Returns true if field delegationToken is set (has been assigned a value) and false otherwise
`boolean`
`isSetStatus()`
Returns true if field status is set (has been assigned a value) and false otherwise
`void`
`read(org.apache.thrift.protocol.TProtocol iprot)`
`TGetDelegationTokenResp`
`setDelegationToken(String delegationToken)`
`void`
`setDelegationTokenIsSet(boolean value)`
`void`
`setFieldValue(TGetDelegationTokenResp._Fields field, Object value)`
`TGetDelegationTokenResp`
`setStatus(TStatus status)`
`void`
`setStatusIsSet(boolean value)`
`String`
`toString()`
`void`
`unsetDelegationToken()`
`void`
`unsetStatus()`
`void`
`validate()`
`void`
`write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### status

public TStatus status

### delegationToken

public String delegationToken

### metaDataMap

public static final Map<TGetDelegationTokenResp._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TGetDelegationTokenResp

public TGetDelegationTokenResp()

### TGetDelegationTokenResp

public TGetDelegationTokenResp(TStatus status)

### TGetDelegationTokenResp

public TGetDelegationTokenResp(TGetDelegationTokenResp other)
Performs a deep copy on other.

## Method Details

### deepCopy

public TGetDelegationTokenResp deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TGetDelegationTokenResp,TGetDelegationTokenResp._Fields>`

### clear

public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TGetDelegationTokenResp,TGetDelegationTokenResp._Fields>`

### getStatus

public TStatus getStatus()

### setStatus

public TGetDelegationTokenResp setStatus(TStatus status)

### unsetStatus

public void unsetStatus()

### isSetStatus

public boolean isSetStatus()
Returns true if field status is set (has been assigned a value) and false otherwise

### setStatusIsSet

public void setStatusIsSet(boolean value)

### getDelegationToken

public String getDelegationToken()

### setDelegationToken

public TGetDelegationTokenResp setDelegationToken(String delegationToken)

### unsetDelegationToken

public void unsetDelegationToken()

### isSetDelegationToken

public boolean isSetDelegationToken()
Returns true if field delegationToken is set (has been assigned a value) and false otherwise

### setDelegationTokenIsSet

public void setDelegationTokenIsSet(boolean value)

### setFieldValue

public void setFieldValue(TGetDelegationTokenResp._Fields field, Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TGetDelegationTokenResp,TGetDelegationTokenResp._Fields>`

### getFieldValue

public Object getFieldValue(TGetDelegationTokenResp._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TGetDelegationTokenResp,TGetDelegationTokenResp._Fields>`

### isSet

public boolean isSet(TGetDelegationTokenResp._Fields field)
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TGetDelegationTokenResp,TGetDelegationTokenResp._Fields>`

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TGetDelegationTokenResp that)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(TGetDelegationTokenResp other)

Specified by:
  `compareTo` in interface `Comparable<TGetDelegationTokenResp>`

### fieldForId

public TGetDelegationTokenResp._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TGetDelegationTokenResp,TGetDelegationTokenResp._Fields>`

### read

public void read(org.apache.thrift.protocol.TProtocol iprot) throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### write

public void write(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### validate

public void validate() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`